ニフクラ mobile backend information

このページではニフクラ mobile backendからのお知らせを掲載しています。

ニフクラ mobile backend をご利用いただき、ありがとうございます。


GoogleのGoogle Cloud Messaging 廃止告知に伴い、本日(3月19日)プッシュ通知で Google Cloud Messaging (GCM)を使用している部分をFirebase Cloud Messaging (FCM)を使用するように変更いたしました。


これにより、今までは端末情報「pushType」フィールドに「fcm」が設定されている場合のみFCMにてプッシュ通知が実行され、それ以外ではGCMにてプッシュ通知が実行されていましたが、今後は「pushType」フィールドの内容によらず、「deviceType」が「Android」の端末にはすべてFCMにてプッシュ通知で送信されるようになります。


管理画面での変更点は以下の通りです。


  ・Android端末へプッシュ通知を送信する場合は Firebase秘密鍵を
   mobile backend プッシュ通知設定画面にて追加する必要があります。
  ・mobile backend プッシュ通知設定画面でのAPIキー登録が不要となりました。


new_push_setting.PNG


FCMへの移行がお済みでない場合は 移行対応について - GCMアプリへ4/11以降も可能な限りGCMプッシュを送る場合 をご確認の上、対応をお願いいたします。


今後も、より便利に mobile backend を利用していただくために、

鋭意改善してまいります。


引き続き、ニフクラ mobile backend をよろしくお願いいたします。

いつもニフクラ mobile backendをご利用いただきありがとうございます。


以前から告知をしていたスクリプト機能の旧バージョン廃止新バージョン提供を2019年03月13日(水)より実施いたしました。


■ 対象となるお客様
・スクリプト機能を使用しているお客様


■ 変更内容
・スクリプト機能で利用可能なNode.js 5.6.0, 5.7.0, 5.11.1, 6.3.0を廃止いたしました。
- 廃止のタイミング以降は廃止対象バージョンで登録されているスクリプトは実行不可になります。


・スクリプト機能で利用可能なバージョンとしてNode.js 8.15.0, 10.15.0 / Ruby 2.5.3, 2.6.0が追加されました。
- 追加のタイミングでバージョンがlatestで登録されているスクリプトのバージョンはNode.js 8.11.3 / Ruby 2.5.0に自動的に修正されました。
- 今回の追加バージョンから ncmb ライブラリが新ドメインに対応したものになります。(挙動が一部異なる可能性がありますのでご注意ください。)


■ 注意事項
・今回追加されたバージョン以前のNode.js 6.9,1, 6.11.1, 8.11.3 / Ruby 2.5.0は2019年09月11日(水)に廃止予定です。
- 旧バージョンでスクリプトを登録しているお客様は、廃止日までにバージョンの変更をお願いいたします。


今後も、より便利に mobile backend を利用していただくために、
鋭意改善してまいります。


引き続き、ニフクラ mobile backend をよろしくお願いいたします。

(2019/3/11 18:25 追記)


本件につきまして、対応が完了し、現在改善しておりますので、報告いたします。


●内容
以下障害が発生しておりました。

・APIリクエストのレスポンス劣化(一部のお客様)


●期間
2019/3/11 17:08 ~ 2019/3/11 17:52


●原因
一部のお客様のスロークエリに起因し、システムの負荷が高まったため


ご利用中のお客様にはご迷惑をおかけいたしまして、大変申し訳ございません。


=====


現在、ニフクラ mobile backendにて、以下のトラブルが発生しております。


●内容
  APIリクエストのレスポンス劣化


●期間
  2019/3/11 17:08 ~  発生中


●影響範囲
  ニフクラ mobile backendをご利用いただいている一部のお客様


ご利用中のお客様にはご迷惑をおかけし、誠に申し訳ございません。
鋭意調査・改善対応を行っておりますので、今暫くお待ち下さい。

(2019/3/6 17:00 追記)


本件につきまして、追加される新バージョンと廃止される旧バージョンの表記がなかったため、追記いたしました。


2019年03月13日(水)追加の新バージョン: Node.js 8.15.0, 10.15.0 / Ruby 2.5.3, 2.6.0
2019年09月11日(水)廃止の旧バージョン: Node.js 6.9,1, 6.11.1, 8.11.3 / Ruby 2.5.0


=====


いつもニフクラ mobile backendをご利用いただきありがとうございます。


2019年03月13日(水)より、スクリプト機能の新旧バージョンの入れ替えを実施させていただきます。
詳しくは以下をご確認ください。


■ 対象となるお客様
・スクリプト機能を使用しているお客様


■ 変更内容
・Node.jsおよびRubyの新旧バージョン入れ替え対応を実施します。


■ 注意事項
・2019年03月13日時点で latest で登録しているスクリプトは、同日の新規バージョンリリースと同時にNode.js 8.11.3 / Ruby 2.5.0 (2019年9月廃止対象) に固定となりますので、ご留意ください。
・廃止されるバージョンで登録されているスクリプトは、廃止以降は実行不可となります。
・今回の追加バージョンから ncmb が新ドメインに対応したものになります。
- そのため、挙動が一部異なる可能性がありますのでご注意ください。


■ 変更日
 新バージョン追加 :2019 年 03 月 13 日 (水)


■ 提供終了日
 旧バージョン廃止 :2019 年 09 月 11 日 (水)


今後も、より便利に mobile backend を利用していただくために、
鋭意改善してまいります。


引き続き、ニフクラ mobile backend をよろしくお願いいたします。

(2019/2/12 16:45 追記)


本件につきまして、対応が完了し、現在改善しておりますので、報告いたします。


●内容
以下障害が発生しておりました。


・管理画面へのログイン不可(@nifty法人IDでログインしているお客様)


●期間
2019/2/12 13:59 ~ 2019/2/12 15:02


●原因
ネットワーク機器の障害


ご利用中のお客様にはご迷惑をおかけいたしまして、大変申し訳ございません。


=====
現在、ニフクラ mobile backendにて、以下のトラブルが発生しております。


●内容
  管理画面へのログイン障害


●期間
  2019/2/12 ~  発生中


●影響範囲
  @nifty法人IDでログインしているお客様


ご利用中のお客様にはご迷惑をおかけし、誠に申し訳ございません。
鋭意調査・改善対応を行っておりますので、今暫くお待ち下さい。

ニフクラ mobile backend をご利用いただき、ありがとうございます。
2月12日に 開発ガイドラインを更新しました。
詳細については以下のページをご覧ください。

開発ガイドライン

今後も、より便利に mobile backend を利用していただくために、

鋭意改善してまいります。

引き続き、ニフクラ mobile backend をよろしくお願いいたします。

ファイルストアをご利用いただいているお客様


ニフクラ mobile backend において、
以下の通りファイルストアの不具合が発生しておりました。


●内容
ファイルストアの一部機能がご利用いただけない場合がございました
※502エラーとなります。


●期間
2019/02/05 11:56 ~ 12:10


●影響範囲
ファイルストアをご利用いただいている全てのお客様


●原因
ストレージシステムのシステム障害のため


ご利用中のお客様にはご迷惑をおかけいたしまして、大変申し訳ございません。

いつもニフクラ mobile backendをご利用いただきありがとうございます。


ソーシャルIDサービス側のメンテナンスにより、
下記日時にて一定時間、管理画面にログインいただけない場合がございます。
あらかじめご了承ください。


■影響範囲
ソーシャルIDにてご利用中のお客様
※@nifty法人IDにてご利用中のお客様には影響はございません。


■期間
2019年2月20日 (水) 午前 1:30 〜 2:30
上記の時間のなかで数分〜最大1時間のダウンタイムが発生いたします。


※mobile backendのAPI自体は問題なくご利用いただけます。
 管理画面へのアクセスのみ、行えない形となります。


メンテナンス終了後の告知はございません。


引き続き、ニフクラ mobile backendをどうぞ宜しくお願いいたします。

ニフクラ mobile backend をご利用いただき、ありがとうございます。
1月17日に SDKをアップデートしました。
詳細については以下のページをご覧ください。

iOS SDK
(GitHub のリリースページに遷移します。)


今後も、より便利に mobile backend を利用していただくために、

鋭意改善してまいります。


引き続き、ニフクラ mobile backend をよろしくお願いいたします。


いつもニフクラ mobile backendをご利用いただきありがとうございます。

 

 

2019年01月16日(水)より、Google+連携でご利用いただいていたお客様にはGoogleでログインしていただくよう変更いたしました。

また、ログイン画面に、@nifty法人IDのお客様用のログインボタンを追加いたしました。

 

 

なお、本対応について、お客様にて行っていただく作業はございません。
ログインのフロー等についても変更はございません。


■対象となるお客様


・ニフクラ mobile backendをGoogle+連携で利用されていたお客様
・ニフクラ mobile backendを@nifty法人IDで利用されているお客様


■変更内容について


・Google+廃止に伴い、Googleログインに切り替えました。
- 今まで「Google+でログインする」からログインしていたお客様は、「Googleでログインする」からログインを行ってください。
・@nifty法人IDのログインボタンを追加しました。
- 今まで「請求書払いはこちら」からログインしていたお客様は、「@nifty法人IDでログインする」からログインを行ってください。

 


今後も、より便利にご利用頂けますよう鋭意改善してまいります。
引き続き、ニフクラ mobile backend をよろしくお願いいたします。

 «【改善】mobile backendパフォーマンス低下について

推奨画面サイズ1024×768px以上

ページの先頭へ